from django.urls import path
from django.shortcuts import redirect
from . import views
from .views import ColleListView

urlpatterns = [
    path("", lambda req: redirect("colloscope:dashboard"), name="home"),
    path("table/", views.colloscope, name="table"),
    path("dashboard/", views.dashboard, name="dashboard"),
    path("export.pdf", views.export, name="export"),
    path("export/calendar/<str:key>/calendar.ics", views.icalendar, name="export-ics"),
    path("calendrier.ics",
         lambda req: redirect("colloscope:export-ics", key=req.GET.get("key")), name="export-ics-old"),
    path("marketplace/", views.marketplace, name="marketplace"),
    path("action/enroll/", views.enroll, name="enroll"),
    path("action/withdraw/", views.withdraw, name="withdraw"),
    path("listing/<int:term>/", ColleListView.as_view(), name="colles"),
    path("listing/<int:term>/by_subject/<int:subject>/", ColleListView.as_view(), name="colles_by_subject"),
    path("listing/<int:term>/by_colleur/<int:colleur>/", ColleListView.as_view(), name="colles_by_colleur"),
]
